Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface DictionaryType

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.ocl.types.CollectionType<org.eclipse.emf.ecore.EClassifier,org.eclipse.emf.ecore.EOperation>, org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EDataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.utilities.PredefinedType<org.eclipse.emf.ecore.EOperation>, org.eclipse.ocl.utilities.TypedASTNode

All Known Implementing Classes:
  DictionaryTypeImpl

    public interface DictionaryType

extends org.eclipse.ocl.ecore.CollectionType

A representation of the model object 'Dictionary Type'.

The following features are supported:

- `Key Type`

See Also:
  `ImperativeOCLPackage.getDictionaryType()`

Field Summary

Fields inherited from interface org.eclipse.ocl.types.CollectionType
`SINGLETON_NAME`

Fields inherited from interface org.eclipse.ocl.utilities.PredefinedType
`ABS, ABS_NAME, ALL_INSTANCES, ALL_INSTANCES_NAME, AND, AND_NAME, ANY, ANY_NAME, APPEND, APPEND_NAME, AS_BAG, AS_BAG_NAME, AS_ORDERED_SET, AS_ORDERED_SET_NAME, AS_SEQUENCE, AS_SEQUENCE_NAME, AS_SET, AS_SET_NAME, AT, AT_NAME, CLOSURE, CLOSURE_NAME, COLLECT, COLLECT_NAME, COLLECT_NESTED, COLLECT_NESTED_NAME, CONCAT, CONCAT_NAME, COUNT, COUNT_NAME, DIV, DIV_NAME, DIVIDE, DIVIDE_NAME, EQUAL, EQUAL_NAME, EXCLUDES, EXCLUDES_ALL, EXCLUDES_ALL_NAME, EXCLUDES_NAME, EXCLUDING, EXCLUDING_NAME, EXISTS, EXISTS_NAME, FIRST, FIRST_NAME, FLATTEN, FLATTEN_NAME, FLOOR, FLOOR_NAME, FOR_ALL, FOR_ALL_NAME, GREATER_THAN, GREATER_THAN_EQUAL, GREATER_THAN_EQUAL_NAME, GREATER_THAN_NAME, HAS_RETURNED, HAS_RETURNED_NAME, IMPLIES, IMPLIES_NAME, INCLUDES, INCLUDES_ALL, INCLUDES_ALL_NAME, INCLUDES_NAME, INCLUDING, INCLUDING_NAME, INDEX_OF, INDEX_OF_NAME, INSERT_AT, INSERT_AT_NAME, INTERSECTION, INTERSECTION_NAME, IS_EMPTY, IS_EMPTY_NAME, IS_OPERATION_CALL, IS_OPERATION_CALL_NAME, IS_SIGNAL_SENT, IS_SIGNAL_SENT_NAME, IS_UNIQUE, IS_UNIQUE_NAME, LAST, LAST_NAME, LESS_THAN, LESS_THAN_EQUAL, LESS_THAN_EQUAL_NAME, LESS_THAN_NAME, MAX, MAX_NAME, MIN, MIN_NAME, MINUS, MINUS_NAME, MOD, MOD_NAME, NOT, NOT_EMPTY, NOT_EMPTY_NAME, NOT_EQUAL, NOT_EQUAL_NAME, NOT_NAME, OCL_AS_TYPE, OCL_AS_TYPE_NAME, OCL_IS_IN_STATE, OCL_IS_IN_STATE_NAME, OCL_IS_INVALID, OCL_IS_INVALID_NAME, OCL_IS_KIND_OF, OCL_IS_KIND_OF_NAME, OCL_IS_NEW, OCL_IS_NEW_NAME, OCL_IS_TYPE_OF, OCL_IS_TYPE_OF_NAME, OCL_IS_UNDEFINED, OCL_IS_UNDEFINED_NAME, ONE, ONE_NAME, OR, OR_NAME, PLUS, PLUS_NAME, PREPEND, PREPEND_NAME, PRODUCT, PRODUCT_NAME, REJECT, REJECT_NAME, RESULT, RESULT_NAME, ROUND, ROUND_NAME, SELECT, SELECT_NAME, SIZE, SIZE_NAME, SORTED_BY, SORTED_BY_NAME, SUB_ORDERED_SET, SUB_ORDERED_SET_NAME, SUB_SEQUENCE, SUB_SEQUENCE_NAME, SUBSTRING, SUBSTRING_NAME, SUM, SUM_NAME, SYMMETRIC_DIFFERENCE, SYMMETRIC_DIFFERENCE_NAME, TIMES, TIMES_NAME, TO_INTEGER, TO_INTEGER_NAME, TO_LOWER, TO_LOWER_NAME, TO_REAL, TO_REAL_NAME, TO_UPPER, TO_UPPER_NAME, UNION, UNION_NAME, XOR, XOR_NAME`

Method Summary
`org.eclipse.emf.ecore.EClassifier` | `getKeyType()` Returns the value of the 'Key Type' reference
`void` | `setKeyType(org.eclipse.emf.ecore.EClassifier value)` Sets the value of the '`Key Type`' reference

Methods inherited from interface org.eclipse.emf.ecore.EDataType
`isSerializable, setSerializable`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.types.CollectionType
`checkCollectionTypeName, checkNoInvalidValues, getElementType, getKind, oclIterators, setElementType`

Methods inherited from interface org.eclipse.ocl.utilities.PredefinedType
`getName, oclOperations`

Methods inherited from interface org.eclipse.ocl.utilities.TypedASTNode
`getTypeEndPosition, getTypeStartPosition, setTypeEndPosition, setTypeStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getKeyType

    org.eclipse.emf.ecore.EClassifier getKeyType()

  Returns the value of the 'Key Type' reference.

  If the meaning of the 'Key Type' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Key Type' reference.
  See Also:
    `setKeyType(EClassifier)`, `ImperativeOCLPackage.getDictionaryType_KeyType()`

### setKeyType

    void setKeyType(org.eclipse.emf.ecore.EClassifier value)

  Sets the value of the '`Key Type`' reference.

  Parameters:
    `value` - the new value of the 'Key Type' reference.
  See Also:
    `getKeyType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD